#include "T_H_air.h"
#include "config.h"

float airHumidity(DHT sensor)
{
    DigitalOut warningAir(W_AIR);
    int err = 0;

    err = sensor.readData();
    while( !err ) {
        err = sensor.readData();
        return sensor.ReadHumidity() ;
    }
    return 0;
}

float airTemperature(DHT sensor)
{
    DigitalOut warningAir(W_AIR);
    int err = 0;

    err = sensor.readData();
    while( !err ) {
        err = sensor.readData();
        return sensor.ReadTemperature(CELCIUS) ;
    }
    return 0;
}

void get_T_H_air(float* T, float* H, DHT sensor)
{
    float tmpH, tmpT ;

    tmpT = airTemperature(sensor);
    if( tmpT!=0 ) {
        *T=tmpT;
    }
    wait(2);

    tmpH = airHumidity(sensor);
    if( tmpH!=0) {
        *H = tmpH;
    }
}